# Method: projects.locations.taxonomies.list

- [HTTP request](https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.taxonomies/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.taxonomies/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.taxonomies/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.taxonomies/list#body.request_body)
- [Response body](https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.taxonomies/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.taxonomies/list#body.ListTaxonomiesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.taxonomies/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.taxonomies/list#try-it)

Lists all taxonomies in a project in a particular location that you have a permission to view.

### HTTP request

`GET https://datacatalog.googleapis.com/v1/{parent}/taxonomies`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Resource name of the project to list the taxonomies of. It takes the form `projects/{project}/locations/{location}`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `datacatalog.taxonomies.list` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of items to return. Must be a value between 1 and 1000 inclusively. If not set, defaults to 50. |
| `pageToken` | `string` The pagination token of the next results page. If not set, the first page is returned. The token is returned in the response to a previous list request. |
| `filter` | `string` Supported field for filter is 'service' and value is 'dataplex'. Eg: service=dataplex. |

### Request body

The request body must be empty.

### Response body

Response message for `https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.taxonomies/list#google.cloud.datacatalog.v1.PolicyTagManager.ListTaxonomies`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "taxonomies": [ { object (`https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.taxonomies#Taxonomy`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `taxonomies[]` | ``object (`https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.taxonomies#Taxonomy`)`` Taxonomies that the project contains. |
| `nextPageToken` | `string` Pagination token of the next results page. Empty if there are no more results in the list. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).